"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-312/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x10e402980>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x10e402a20>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10e402ac0>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x10e402b60>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x10e402c00>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x10e402ca0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10e402d40>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e402de0>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e402e80>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x10e402f20>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x10e402fc0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x10e403060>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x10e403100>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x10e4031a0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x10e403240>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x10e4032e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x10e403380>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x10e403420>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x10e4034c0>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x10e403560>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x10e403600>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x10e4036a0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x10e403740>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x10e4037e0>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x10e403880>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x10e403920>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x10e4039c0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x10e403a60>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x10e403b00>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x10e403ba0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x10e403c40>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x10e403ce0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x10e403d80>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x10e403e20>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x10e403ec0>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x10e403f60>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c040>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c0e0>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c180>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c220>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c2c0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c360>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c400>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c4a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c540>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c5e0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c680>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c720>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c7c0>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c860>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c900>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x10e44c9a0>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e44ca40>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x10e44cae0>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x10e44cb80>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e44cc20>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e44ccc0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44cd60>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44ce00>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44cea0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44cf40>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x10e44cfe0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d080>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d120>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d1c0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d260>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d300>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d3a0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d440>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d4e0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d580>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d620>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d6c0>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d760>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d800>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d8a0>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d940>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x10e44d9e0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x10e44da80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x10e44db20>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x10e44dc60>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x10e44dbc0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x10e44dd00>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x10e44dda0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x10e44de40>)]
name: str = 'fr_HOCCN'
